NAME
   sampleIM - sample Japanese Input Method Server using IMdkit

SYNOPSIS
   sampleIM [-display displayname] [-name imname]  [-static] [-dynamic]
   [-tcp] [-local] [-offkey] [-kl]

DESCRIPTION
   SampleIM you see here is an sample Input Method Server which utilizes
   the IM Server Developers Kit so that it can connect with XIM client
   applications through the X Input Method Protocol(XIM Protocol) which
   is standardized in the X Window System, Version 11, Release 6.

   The sampleIM is just sample, so remember that it can be used just for
   test of IMServer Developers Kit, and note that it should be invoked
   under Japanese EUC locale such as "ja_JP.eucJP", because it contains
   the Japanese EUC localized characters for the sample committed
   string:
	for csh family
		% env LC_ALL=ja_JP.eucJP sampleIM
	for ksh family
		$ LC_ALL=ja_JP.eucJP sampleIM

OPTIONS
   The sampleIM accepts the following options:

   -display displayname
	This options specifies the display name.
   -name imname
	This options specifies the name  which is used as a part of the
	sampleIM identifiers by which XIM clients will search for the
	sampleIM. The default is "sampleIM".
   -static | -dynamic
	Each of these options specifies the type of the XIM Protocol
	event flow model, static or dynamic. Either of these should be
	given at the same time if any.  The default is dynamic event
	flow model. For more information for event flow model, see "the
	X Input Method Protocol" document.
   -tcp | -local
	Each of these options changes the type of the transport
	connection mechanism. When -tcp is given, TCP/IP Internet domain
	will be used, while -local is given, TCP/IP internal domain will
	be used. Either of these should be given at the same time if
	any. If neither of these specifies, the default is X-based
	transport mechanism.
   -offkey
	This option indicates that the sampleIM should inform the IM
	library of off keys, as well as on keys, by which the input
	conversion will be terminated. (For more information, refer to
	the XIM_REGISTER_TRIGGERKEYS message in the IM Protocol
	document.)
	This option has an effect in case of the dynamic event flow
	model. When this option is specified, both on/off operation
	is kicked from the IM library, while unspecified, the off
	operation is kicked from the sampleIM and this is the default.
   -kl
	This option indicates that KeyRelease events should be also
	filtered by the sampleIM.

OPERATIONS
	Shift-Space	start and stop filtering key events. While
			filtering, the sampleIM just prints the string
			into the standard out instead of preediting.

	Ctrl-k		commit the sample Japanese EUC characters:
			"これは IM からの確定文字列です。"
